package cn.com.countrygarden.bi.main.dto.districtReport;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class RdUncollectedBuildingProjectsVO {

    private String districtName;

    private String projectName;

    private String marketingLevel;

    private String propertyLevel;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date openDate;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date openingDate;

    private String projectResponsibler;

    private String contact;

    private Integer caseCount;

    private Integer goodsSold;

    private Integer goodsRemaining;

    private String managementType;

    private BigDecimal managerArea;

    private Integer dayPassengerCount;

    private Integer villaCount;

    private Integer houseCount;

    private Integer seniorCount;

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getMarketingLevel() {
        return marketingLevel;
    }

    public void setMarketingLevel(String marketingLevel) {
        this.marketingLevel = marketingLevel;
    }

    public String getPropertyLevel() {
        return propertyLevel;
    }

    public void setPropertyLevel(String propertyLevel) {
        this.propertyLevel = propertyLevel;
    }

    public Date getOpenDate() {
        return openDate;
    }

    public void setOpenDate(Date openDate) {
        this.openDate = openDate;
    }

    public Date getOpeningDate() {
        return openingDate;
    }

    public void setOpeningDate(Date openingDate) {
        this.openingDate = openingDate;
    }

    public String getProjectResponsibler() {
        return projectResponsibler;
    }

    public void setProjectResponsibler(String projectResponsibler) {
        this.projectResponsibler = projectResponsibler;
    }

    public Integer getCaseCount() {
        return caseCount;
    }

    public void setCaseCount(Integer caseCount) {
        this.caseCount = caseCount;
    }

    public Integer getGoodsSold() {
        return goodsSold;
    }

    public void setGoodsSold(Integer goodsSold) {
        this.goodsSold = goodsSold;
    }

    public Integer getGoodsRemaining() {
        return goodsRemaining;
    }

    public void setGoodsRemaining(Integer goodsRemaining) {
        this.goodsRemaining = goodsRemaining;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public BigDecimal getManagerArea() {
        return managerArea;
    }

    public void setManagerArea(BigDecimal managerArea) {
        this.managerArea = managerArea;
    }

    public Integer getDayPassengerCount() {
        return dayPassengerCount;
    }

    public void setDayPassengerCount(Integer dayPassengerCount) {
        this.dayPassengerCount = dayPassengerCount;
    }

    public Integer getVillaCount() {
        return villaCount;
    }

    public void setVillaCount(Integer villaCount) {
        this.villaCount = villaCount;
    }

    public Integer getHouseCount() {
        return houseCount;
    }

    public void setHouseCount(Integer houseCount) {
        this.houseCount = houseCount;
    }

    public Integer getSeniorCount() {
        return seniorCount;
    }

    public void setSeniorCount(Integer seniorCount) {
        this.seniorCount = seniorCount;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }
}
